--[[ Simple DataBroker launcher for Grid2. --]]

local DataBroker = LibStub("LibDataBroker-1.1", true)
if not DataBroker then return end

local Grid2LDB = DataBroker:NewDataObject("Grid", {
	type  = "launcher",
	label = GetAddOnInfo("Grid2", "Title"),
	icon  = "Interface\\AddOns\\Grid2LDB\\icon",
	OnClick = function(self, button)
		Grid2:OnChatCommand("grid2")
	end,
	OnTooltipShow = function(tooltip)
		tooltip:AddLine("Grid2")
		tooltip:AddLine("Click to open configuration", 0.2, 1, 0.2)
	end,
})
